List All Plugin Metadata
GET /apisix/admin/plugin_metadata
GET /apisix/admin/plugin_metadataInteractive request editor loads with JavaScript.
X-API-KEY<token>
Admin API key configured in config.yaml under deployment.admin.admin_key. You can also pass the key as a query parameter api_key or cookie x_api_key.
In: header
Query Parameters
page?integer
Page number (1-based).
Range
1 <= valueDefault
1page_size?integer
Items per page (10–500). When omitted, no pagination is applied and the full list is returned.
Range
10 <= value <= 500Response Body
application/json
application/json
curl -X GET "http://127.0.0.1:9180/apisix/admin/plugin_metadata?page=1&page_size=20"Successful response.
{
"list": [
{
"value": {
"log_format": {
"host": "$host",
"@timestamp": "$time_iso8601",
"client_ip": "$remote_addr"
}
},
"key": "/apisix/plugin_metadata/syslog",
"modifiedIndex": 283,
"createdIndex": 283
}
],
"total": 1
}**Unauthorized** — The API key is missing, invalid, or lacks permission.
{
"error_msg": "failed to check token",
"description": "missing apikey"
}{
"error_msg": "failed to check token",
"description": "wrong apikey"
}{
"error_msg": "failed to check token",
"description": "invalid method for role viewer"
}Complete operation details and schema variants
GET /apisix/admin/plugin_metadata
List All Plugin Metadata
Retrieve metadata for all plugins that have metadata configured.
Parameters
page(query, integer, optional): Page number (1-based).page_size(query, integer, optional): Items per page (10–500). When omitted, no pagination is applied and the full list is returned.
Responses
200: Successful response.list(array, optional): A list of plugin metadata.list[].value(object, optional): Plugin metadata values.list[].key(string, optional): Unique key identifier for this plugin metadata in the data store.list[].modifiedIndex(integer, optional): The index number representing the most recent update to the object. It starts with the same value ascreatedIndexand increases by 1 each time the resource is modified.list[].createdIndex(integer, optional): The index number representing when the object was first created. It indicates the creation order of the resource.total(integer, optional): Total number of plugin metadata entries available.401: Unauthorized — The API key is missing, invalid, or lacks permission.error_msg(string, required): Authentication error message.description(string, optional): Detailed reason for the authentication failure.
cURL
curl -X GET 'http://127.0.0.1:9180/apisix/admin/plugin_metadata'